# Glom::LayoutItem_WithFormatting Class Reference

A base class for all layout items that may have formatting options. More...

Inherits Glom::LayoutItem.

Inherited by Glom::LayoutItem_Button, Glom::LayoutItem_Field, and Glom::LayoutItem_Text.

Collaboration diagram for Glom::LayoutItem_WithFormatting:
[legend]

List of all members.

## Public Member Functions

| LayoutItem_WithFormatting ()
| LayoutItem_WithFormatting (const LayoutItem_WithFormatting& src)
LayoutItem_WithFormatting& | operator= (const LayoutItem_WithFormatting& src)
virtual | ~LayoutItem_WithFormatting ()
bool | operator== (const LayoutItem_WithFormatting& src) const
virtual const FieldFormatting& | get_formatting_used () const
| Get the field formatting used by this layout item, which may be either custom field formatting or the default field formatting.
virtual FieldFormatting::HorizontalAlignment | get_formatting_used_horizontal_alignment () const
| Get the alignment for the formatting used (see get_formatting_used()), choosing an appropriate alignment if it is set to HORIZONTAL_ALIGNMENT_AUTO.

## Public Attributes

FieldFormatting | m_formatting

## Detailed Description

A base class for all layout items that may have formatting options.

See get_formatting_used().

## Constructor & Destructor Documentation

Glom::LayoutItem_WithFormatting::LayoutItem_WithFormatting | ( |  | ) |

Glom::LayoutItem_WithFormatting::LayoutItem_WithFormatting | ( | const LayoutItem_WithFormatting& | src | ) |

Glom::LayoutItem_WithFormatting::~LayoutItem_WithFormatting | ( |  | ) | `[virtual]`

## Member Function Documentation

const FieldFormatting& Glom::LayoutItem_WithFormatting::get_formatting_used | ( |  | ) | const`[virtual]`

Get the field formatting used by this layout item, which may be either custom field formatting or the default field formatting.

Reimplemented in Glom::LayoutItem_Field.

FieldFormatting::HorizontalAlignment Glom::LayoutItem_WithFormatting::get_formatting_used_horizontal_alignment | ( |  | ) | const`[virtual]`

Get the alignment for the formatting used (see get_formatting_used()), choosing an appropriate alignment if it is set to HORIZONTAL_ALIGNMENT_AUTO.

Note that this never returns HORIZONTAL_ALIGNMENT_AUTO.

Reimplemented in Glom::LayoutItem_Field.

LayoutItem_WithFormatting& Glom::LayoutItem_WithFormatting::operator= | ( | const LayoutItem_WithFormatting& | src | ) |

Reimplemented from Glom::LayoutItem.

Reimplemented in Glom::LayoutItem_Button, Glom::LayoutItem_Field, Glom::LayoutItem_Text, and Glom::LayoutItem_FieldSummary.

bool Glom::LayoutItem_WithFormatting::operator== | ( | const LayoutItem_WithFormatting& | src | ) | const

Reimplemented from Glom::LayoutItem.

Reimplemented in Glom::LayoutItem_Button, Glom::LayoutItem_Field, Glom::LayoutItem_Text, and Glom::LayoutItem_FieldSummary.

## Member Data Documentation

FieldFormatting Glom::LayoutItem_WithFormatting::m_formatting

The documentation for this class was generated from the following files:

- data_structure/layout/layoutitem_withformatting.h
- data_structure/layout/layoutitem_withformatting.cc